Subject: Re: [PATCH 1/2] DONTAPPLY: -Og fallout workaround

From: Junio C Hamano <[email-masked]>
Date: Tue, 11 Jun 2024 10:30:24 -0700

Patrick Steinhardt <[email-masked]> writes:

> The real bug that "-Og" would have been able to detect was reported by
> Peff via [1]. In this case it wasn't "-Og" that detected it, but
> Coverity did. But it would have been detected if we had a job that
> compiled with "-Og".

Thanks.  It is curious that you singled out "-Og" here, but with the
usual "-O2" optimization level, it does not seem to get noticed.

> But now that I see the full picture of this with different compiler
> options I have to agree that this is not really worth it. Especially not
> given that Coverity is able to detect such cases, even though that only
> happens retroactively after a topic has landed.
>
> Let's drop this experiment.

OK, but let's keep the CFLAGS_APPEND one ;-)